<?php
/**
 * @package     SermonSpeaker
 * @subpackage  Module.LatestSermons
 * @author      Thomas Hunziker <admin@sermonspeaker.net>
 * @copyright   (C) 2014 - Thomas Hunziker
 * @license     http://www.gnu.org/licenses/gpl.html
 **/

defined('_JEXEC') or die();

$i = 0;
$count = count($list);
?>
<div class="container-fluid">
    <div class="row">
<?php
	require_once JPATH_SITE . '/components/com_sermonspeaker/helpers/sermonspeaker.php';
?>
<?php
if ($params->get('show_list')) : ?>
	<div class="container">
	<?php
	foreach($list as $row) :
		$i++; ?>
		<div class="latestsermons_entry<?php echo $i; ?> col-sm-4 text-center latestsermons">
            
              
            <a href="<?php echo JRoute::_('index.php'.'/sermons/sermon/' . $row->slug); ?>">
                <img src="<?php echo SermonspeakerHelperSermonspeaker::insertPicture($row); ?>" class="img-responsive series-thumb">
            </a>
            
			<h3><a href="<?php echo JRoute::_('index.php'.'/sermons/sermon/' . $row->slug); ?>">
				<?php echo $row->title;

				if ($params->get('show_hits', 0) > 1 and $row->hits) : ?>
					<small>(<?php echo $row->hits; ?>)</small>
				<?php endif; ?>
			</a></h3>
				<?php
				

				if ($params->get('ls_show_mo_series') and $row->series_title) : ?>
					<span><?php
						if ($row->series_state) : ?>
							<a href="<?php echo JRoute::_('index.php'.'/sermons/serie/' . $row->series_slug); ?>">
								<?php echo $row->series_title; ?>
							</a>
						<?php else :
							echo $row->series_title;
						endif; ?>
					</span>
				<?php endif;

				if ($params->get('ls_show_mo_speaker') and $row->speaker_title) : ?>
<span><?php
						if ($row->speaker_state): ?><?php echo $row->speaker_title; ?><?php else :
							echo $row->speaker_title;
						endif; ?>
</span>
				<?php endif;

				if ($params->get('show_hits', 0) & 1) : ?>
					<dd class="hits">
						<?php echo JText::_('JGLOBAL_HITS'); ?>: 
						<?php echo $row->hits; ?>
					</dd>
				<?php endif; ?>

			<div style="clear:left;"></div>
			<?php
			if (strlen($row->notes) > 0) : ?>
			<?php endif;

			if ($i < $count) : ?>
				<hr />
			<?php endif; ?>
		</div>
	<?php endforeach; ?>
	</div>
<?php endif;

if ($params->get('show_player')) :
	if ($params->get('show_list')) : ?>
		<br />
	<?php endif; ?>
	<div class="latestsermons_player">
	<?php
	require_once JPATH_SITE . '/components/com_sermonspeaker/helpers/sermonspeaker.php';
	require_once JPATH_SITE . '/components/com_sermonspeaker/helpers/player.php';
	jimport('joomla.application.component.helper');
	$c_params = JComponentHelper::getParams('com_sermonspeaker');
	$config['autostart']	= 0;
	$config['count']		= 'ls';
	$config['type']			= $c_params->get('fileprio') ? 'video' : 'audio';
	$config['alt_player']	= $c_params->get('alt_player');
	$config['vheight']		= $params->get('vheight');
	$player = SermonspeakerHelperSermonspeaker::getPlayer($list, $config);
	echo $player->mspace;
	echo $player->script; ?>
	</div>
<?php endif;

if ($params->get('ls_show_mo_link')) : ?>
	<br />
	<div class="latestsermons_link">
		<a href="<?php echo JRoute::_('index.php?option=com_sermonspeaker&view=sermons&Itemid=' . $itemid); ?>"><?php echo JText::_('MOD_LATESTSERMONS_LINK'); ?></a>
	</div>
<?php endif; ?>

</div>
    </div>